<?php 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header('shop');
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );

add_action( 'woocommerce_before_shop_loop' , 'woocommerce_catalog_ordering', 20 );
add_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 30 );

if(of_get_option('grid_view_mode', 'grid') == "list"){
	if (isset($_COOKIE['products_cookie']) && $_COOKIE['products_cookie'] == "grid")
		$product_view = "grid";
	else
		$product_view = "list";
} else {
	if (isset($_COOKIE['products_cookie']) && $_COOKIE['products_cookie'] == "list")
		$product_view = "list";
	else
		$product_view = "grid";
}
 ?>

<?php do_action('woocommerce_before_main_content'); ?>

<?php do_action('woocommerce_sidebar'); ?>

<div class="main-content<?php if(of_get_option('page_layout') == 'right') echo ' main-content-left'; ?> theme-shop">
		<h1 class="page-title"><?php woocommerce_page_title(); ?></h1>
		
		<?php do_action( 'woocommerce_archive_description' ); ?>
		
		<?php if ( have_posts() ) : ?>
		
			<div class="list-options">
				<?php if(of_get_option('show_grid_view') == true) { ?>
				<div class="float-left">
					<img src="<?php echo THEME_DIR; ?>/images/icon_grid.png"/><a href="#" id="switch-to-grid" class="regular<?php if($product_view == "grid") { ?> active-view<?php } ?>"><?php _e('View as grid', 'bellissima'); ?></a>
					<img src="<?php echo THEME_DIR; ?>/images/icon_list.png"/><a href="#" id="switch-to-list" class="regular<?php if($product_view == "list") { ?> active-view<?php } ?>"><?php _e('View as list', 'bellissima'); ?></a>
				</div><?php } ?>
				
				<div class="float-right sortby">
					<?php do_action('woocommerce_before_shop_loop'); ?>
				</div>
			</div>
		
			<ul id="woo-product-items" class="products <?php echo $product_view ?>-view">

					<?php woocommerce_product_subcategories(); ?>
			
					<?php while ( have_posts() ) : the_post(); ?>
			
						<?php woocommerce_get_template_part( 'content', 'product' ); ?>
			
					<?php endwhile; // end of the loop. ?>

			</ul>

			<?php do_action('woocommerce_after_shop_loop'); ?>
		
		<?php else : ?>
		
			<?php if ( ! woocommerce_product_subcategories( array( 'before' => '<ul class="products">', 'after' => '</ul>' ) ) ) : ?>
					
				<p><?php _e( 'No products found which match your selection.', 'woocommerce' ); ?></p>
					
			<?php endif; ?>
		
		<?php endif; ?>
		
		<div class="clear"></div>
		
		<?php 
			/** 
			 * woocommerce_pagination hook
			 *
			 * @hooked woocommerce_pagination - 10
			 * @hooked woocommerce_catalog_ordering - 20
			 */		
			do_action( 'woocommerce_pagination' ); 
		?>
</div>

<br class="clear" />

<?php do_action('woocommerce_after_main_content'); ?>

<?php get_footer('shop'); ?>