<?php
/**
 * Cross-sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

global $woocommerce_loop, $woocommerce, $product;

$crosssells = $woocommerce->cart->get_cross_sells();

if ( sizeof( $crosssells ) == 0 ) return;

$args = array(
	'post_type'				=> 'product',
	'ignore_sticky_posts'	=> 1,
	'posts_per_page' 		=> 3,
	'no_found_rows' 		=> 1,
	'orderby' 				=> 'rand',
	'post__in' 				=> $crosssells
);

$products = new WP_Query( $args );

$woocommerce_loop['columns'] 	= 3;

if ( $products->have_posts() ) : ?>
	<div class="clear"></div>

	<?php echo do_shortcode('[raw]'); ?>
	<div class="cross-sells products">

		<h2><?php _e('You may be interested in&hellip;', 'woocommerce') ?></h2>

		<ul class="products grid-view">

			<?php while ( $products->have_posts() ) : $products->the_post(); ?>

				<?php woocommerce_get_template_part( 'content', 'product' ); ?>

			<?php endwhile; // end of the loop. ?>

		</ul>

	</div>
	<?php echo do_shortcode('[/raw]'); ?>


<?php endif;

wp_reset_query();
