<?php
/**
 * Checkout billing information form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $woocommerce;
?>

<?php if ( $woocommerce->cart->ship_to_billing_address_only() && $woocommerce->cart->needs_shipping() ) : ?>
	
	<h4 class="related_products_title"><?php _e('Billing &amp; Shipping', 'woocommerce'); ?></h4>
	
<?php else : ?>

	<h4 class="related_products_title"><?php _e('Billing Address', 'woocommerce'); ?></h4>

<?php endif; ?>

<?php do_action('woocommerce_before_checkout_billing_form', $checkout); ?>

<?php foreach ($checkout->checkout_fields['billing'] as $key => $field) : ?>
	
	<?php woocommerce_form_field( $key, $field, $checkout->get_value( $key ) ); ?>	
	
<?php endforeach; ?>

<?php do_action('woocommerce_after_checkout_billing_form', $checkout); ?>



<?php if (!is_user_logged_in() && $checkout->enable_signup) : ?>

	<?php if ( $checkout->enable_guest_checkout ) : ?>
		
		<p class="form-row">
			<input class="input-checkbox" id="createaccount" <?php checked($checkout->get_value('createaccount'), true) ?> type="checkbox" name="createaccount" value="1" />
			<div class="woocommerce_info"><label for="createaccount" class="checkbox"><?php _e('Create an account?', 'woocommerce'); ?></label></div>
		</p>
	<?php endif; ?>
	
	<?php do_action( 'woocommerce_before_checkout_registration_form', $checkout ); ?>
	
	<div class="create-account">
	
		<p><?php _e( 'Create an account by entering the information below. If you are a returning customer please login at the top of the page.', 'woocommerce' ); ?></p>
	
		<?php foreach ($checkout->checkout_fields['account'] as $key => $field) : ?>

			<?php woocommerce_form_field( $key, $field, $checkout->get_value( $key ) ); ?>

		<?php endforeach; ?>
		
		<div class="clear"></div>
	
	</div>
	
	<?php do_action( 'woocommerce_after_checkout_registration_form', $checkout ); ?>

<?php endif; ?>