<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @package WooCommerce
 * @since WooCommerce 1.6
 */
 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
 
global $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) 
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) 
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 3 );

// Increase loop count
$woocommerce_loop['loop']++;
?>
<?php if ( ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] == 0 ) { ?><div class="list-items"><?php }?>
<li class="single-item <?php 
	if ( $woocommerce_loop['loop'] % $woocommerce_loop['columns'] == 0 ) 
		echo 'last'; 
	elseif ( ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] == 0 ) 
		echo 'first'; 
	?>">

	<?php do_action( 'woocommerce_before_subcategory', $category ); ?>
	
	<span class="title"><a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>">
			<?php echo $category->name; ?> 
			<?php if ( $category->count > 0 ) : ?>
				(<?php echo $category->count; ?>)
			<?php endif; ?>
		</a></span>
		
	<div class="list-item-image"><a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>">
				
		<?php
			/** 
			 * woocommerce_before_subcategory_title hook
			 *
			 * @hooked woocommerce_subcategory_thumbnail - 10
			 */	  
			do_action( 'woocommerce_before_subcategory_title', $category ); 
		?>
		
		<?php
			/** 
			 * woocommerce_after_subcategory_title hook
			 */	  
			do_action( 'woocommerce_after_subcategory_title', $category ); 
		?>
	
	</a></div>
	
	<?php do_action( 'woocommerce_after_subcategory', $category ); ?>
			
</li>
<?php if ( $woocommerce_loop['loop'] % $woocommerce_loop['columns'] == 0 ) { ?></div><?php }?>