<?php
/**
 * Up-sells
 */

global $product, $woocommerce_loop;

$upsells = $product->get_upsells();

if ( sizeof( $upsells ) == 0 ) return;

$args = array(
	'post_type'				=> 'product',
	'ignore_sticky_posts'	=> 1,
	'posts_per_page' 		=> 3,
	'no_found_rows' 		=> 1,
	'orderby' 				=> 'rand',
	'post__in' 				=> $upsells
);

$products = new WP_Query( $args );

if(of_get_option('grid_view_mode', 'grid') == "list"){
	if (isset($_COOKIE['products_cookie']) && $_COOKIE['products_cookie'] == "grid")
		$product_view = "grid";
	else
		$product_view = "list";
} else {
	if (isset($_COOKIE['products_cookie']) && $_COOKIE['products_cookie'] == "list")
		$product_view = "list";
	else
		$product_view = "grid";
}

if ( $products->have_posts() ) : ?>
	
	<br class="clear" />
	<div class="upsells products">
		<h2><?php _e('You may also like&hellip;', 'woocommerce') ?></h2>

		<ul class="products <?php echo $product_view ?>-view">
			
			<?php while ( $products->have_posts() ) : $products->the_post(); ?>
		
				<?php woocommerce_get_template_part( 'content', 'product' ); ?>
	
			<?php endwhile; // end of the loop. ?>
				
		</ul>
		
	</div>
	
<?php endif; 

wp_reset_postdata();